Package co.nstant.in.cbor.model

## Enum SimpleValueType

- java.lang.Object
- - java.lang.Enum<SimpleValueType>
  - - co.nstant.in.cbor.model.SimpleValueType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SimpleValueType>`

      public enum SimpleValueType
      extends Enum<SimpleValueType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FALSE` |
    `NULL` |
    `RESERVED` |
    `TRUE` |
    `UNALLOCATED` |
    `UNDEFINED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getValue()` |
    `static SimpleValueType` | `ofByte​(int b)` |
    `static SimpleValueType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SimpleValueType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FALSE

          public static final SimpleValueType FALSE

    - #### TRUE

          public static final SimpleValueType TRUE

    - #### NULL

          public static final SimpleValueType NULL

    - #### UNDEFINED

          public static final SimpleValueType UNDEFINED

    - #### RESERVED

          public static final SimpleValueType RESERVED

    - #### UNALLOCATED

          public static final SimpleValueType UNALLOCATED

  - ### Method Detail

    - #### values

          public static SimpleValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SimpleValueType c : SimpleValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SimpleValueType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### ofByte

          public static SimpleValueType ofByte​(int b)